Name:          virt-manager
Version:       5.0.0
Release:       1mamba
Summary:       Virtual Machine Manager
Group:         Applications/Emulators
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://virt-manager.org/
Source:        https://releases.pagure.org/virt-manager/virt-manager-%{version}.tar.xz
License:       GPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libvirt-glib-devel >= 1.0.0-1mamba
BuildRequires: python-docutils-py3
Conflicts:     python-virtinst
Requires:      libvirt
Requires:      libvirt-glib
Requires:      python-libvirt-py3
Requires:      python-libxml2-py3
Requires:      python-urllib3-py3
Requires:      python-chardet-py3
Requires:      python-certifi-py3
Requires:      python-idna-py3
Requires:      python-requests-py3
Requires:      pygobject-py3
#Requires:      python-urlgrabber
Requires:      bridge-utils
Requires:      python-gnome
#Requires:      python-libvirt-glib
#Requires:      python-ipaddr
Requires:      adwaita-icon-theme
Requires:      libspice-gtk
Requires:      spice-gtk
Requires:      libvte
Requires:      gtk-vnc
Requires:      qemu
Requires:      libosinfo
Requires:      openssh-askpass
Requires:      libgtksourceview3
Requires:      osinfo-db

%description
The "Virtual Machine Manager" application is a desktop user interface for managing virtual machines.
It presents a summary view of running domains, their live performance & resource utilization statistics.
The detailed view graphs performance & utilization over time.
Wizards enable the creation of new domains, and configuration & adjustment of a domain's resource allocation & virtual hardware.
An embedded VNC client viewer presents a full graphical console to the guest domain.

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/virt-clone
%{_bindir}/virt-install
%{_bindir}/virt-manager
%{_bindir}/virt-xml
%{_datadir}/applications/virt-manager.desktop
%{_datadir}/metainfo/virt-manager.appdata.xml
%{_datadir}/bash-completion/completions/virt-*
%{_datadir}/glib-2.0/schemas/org.virt-manager.virt-manager.gschema.xml
%dir %{_datadir}/virt-manager
%dir %{_datadir}/virt-manager/ui
%{_datadir}/virt-manager/ui/*.ui
%dir %{_datadir}/virt-manager/virtManager
%{_datadir}/virt-manager/virtManager/*
%dir %{_datadir}/virt-manager/virtinst
%{_datadir}/virt-manager/virtinst/*
%{_datadir}/icons/hicolor/*/apps/virt-manager.png
%dir %{_datadir}/virt-manager/icons
%dir %{_datadir}/virt-manager/icons/hicolor
%{_datadir}/virt-manager/icons/hicolor/*
%{_mandir}/man1/virt-clone.1*
%{_mandir}/man1/virt-install.1*
%{_mandir}/man1/virt-manager.1*
%{_mandir}/man1/virt-xml.1*
%doc COPYING

%changelog
* Sat Dec 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-1mamba
- update to 5.0.0

* Tue Mar 28 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-4mamba
- require osinfo-db

* Mon Feb 27 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-3mamba
- require libvirt-glib

* Thu Dec 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-2mamba
- require libgtksourceview3

* Fri Aug 05 2022 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Mon Jan 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.0-2mamba
- require libgtksourceview to add GtkSource gir

* Wed Dec 02 2020 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Fri Nov 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-2mamba
- rebuilt with python3

* Tue Oct 20 2020 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Thu Dec 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-2mamba
- fix for python36 shebang replacements

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Sat Mar 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-3mamba
- fixed requirement typo

* Fri Mar 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- fix requirements and shebang for python 3.6

* Fri Mar 08 2019 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Mon Jul 30 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-2mamba
- rebuilt by autoport with build requirements: python-libvirt-glib-devel>=1.0.0-1mamba

* Sat Apr 21 2018 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Sun Dec 03 2017 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic update by autodist

* Sun Aug 27 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.1-2mamba
- added requirements python-chardet and python-idna

* Fri Aug 11 2017 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sat Jul 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-2mamba
- fix italian translation error causing editing vms to fail

* Thu Jun 23 2016 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Tue Jan 05 2016 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Sun Dec 27 2015 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Sun Dec 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-2mamba
- require python-requests and adwaita-icon-theme (instead of gnome-icon-theme)

* Tue Dec 08 2015 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Mon Jun 08 2015 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Tue May 19 2015 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Thu Dec 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-3mamba
- require openssh-askpass

* Mon Oct 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- require spice-gtk to support usb redirection

* Fri Sep 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1mamba
- update to 1.1.0
- require pygobject and qemu

* Tue May 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-6mamba
- upstream patch to fix configuration errors after changing graphics type
- disable packagekit check

* Tue May 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-5mamba
- require gtk-vnc and libvte instead of python-* packages to switch to gtk3 via introspection

* Mon May 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-4mamba
- added requirement for libspice-gtk
- install translations and desktop file

* Sun May 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-3mamba
- add conflict with python-virtinst

* Sat May 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-2mamba
- add some needed requirements and fix glib-compile-schemas in %post script

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Thu Feb 20 2014 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Thu Apr 04 2013 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Fri Aug 17 2012 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic version update by autodist

* Wed Jun 13 2012 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Sun May 01 2011 Automatic Build System <autodist@mambasoft.it> 0.8.7-1mamba
- automatic update by autodist

* Wed Feb 09 2011 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic update by autodist

* Wed Oct 27 2010 Automatic Build System <autodist@mambasoft.it> 0.8.5-1mamba
- automatic update by autodist

* Tue Jun 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.4-2mamba
- added requirement for python-gnome and python-vte

* Thu Mar 25 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.8.4-1mamba
- update to 0.8.4

* Sun Mar 21 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.8.3-1mamba
- package created by autospec
